Upgraded from 1.18 to 1.4 rolling - Errors (new)

Re-creating this as the original thread Upgraded from 1.18 to 1.4 rolling - Errors - General questions - VyOS Forums got automatically closed.

@sdev @tomcat667 So far I’ve tried upgrading from 1.1.8 to 1.2.3, 1.3.0 and the latest rolling release and I’ve had the same issue on all upgrades - once the router boots everything is gone.

I’m going to try your steps on configuring the new version step by step by exporting the results of ‘show configuration commands’ on v 1.1.8 and respond on this thread.

@sdev @tomcat667

So I ran ‘show configuration commands’ on 1.1.8, and it printed out standard commands (the router had very basic setup anyway). I then booted into v.1.30 So I ran these, The lines that failed were:

set system login user admin level 'admin'
set system package repository community distribution 'helium'

The rest of them ran fine (setting nat source, users etc.). so I committed and saved. (no errors thrown here)

Then rebooted the router in v.1.3.0:

set system image default-boot 1.3.0 

And I’m back with the empty config! It doesn’t seem to want to save any of my config, even though the commands run just fine.
What logs should I be checking? or alternatively is it just easier for me to do a fresh install on the latest rolling image? I think it’ll be much quicker at this stage.

So you upgraded for 1.1.8 to 1.3.0?
I would suggest upgrading from 1.1.8 to 1.2.X first!

In any case, if you know the comands/config it’s not working after an upgrade, you can manually edit the file /config/config.boot and edit|remove such config.